Bug 19630 - "Hold is suspended" message appears in barcode field in holds table
Summary: "Hold is suspended" message appears in barcode field in holds table
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Hayley Mapley
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-15 22:12 UTC by Caroline Cyr La Rose
Modified: 2019-04-16 13:11 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00


Attachments
Suspended hold message appears in barcode field (46.89 KB, image/png)
2017-11-15 22:12 UTC, Caroline Cyr La Rose
Details
Bug 19630: Added Status column to Patron Holds table (7.40 KB, patch)
2019-03-14 21:51 UTC, Hayley Mapley
Details | Diff | Splinter Review
Bug 19630: Added Status column to Patron Holds table (7.46 KB, patch)
2019-03-15 18:55 UTC, José-Mario Monteiro-Santos
Details | Diff | Splinter Review
Bug 19630: Added Status column to Patron Holds table (7.53 KB, patch)
2019-04-04 14:44 UTC, Michal Denar
Details | Diff | Splinter Review
Bug 19630: Removed constant message from Status column (1.21 KB, patch)
2019-04-07 22:34 UTC, Hayley Mapley
Details | Diff | Splinter Review
Bug 19630: Added Status column to Patron Holds table (7.58 KB, patch)
2019-04-08 19:03 UTC, Michal Denar
Details | Diff | Splinter Review
Bug 19630: Removed constant message from Status column (1.30 KB, patch)
2019-04-08 19:03 UTC, Michal Denar
Details | Diff | Splinter Review
Bug 19630: Added Status column to Patron Holds table (7.63 KB, patch)
2019-04-08 21:37 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 19630: Removed constant message from Status column (1.36 KB, patch)
2019-04-08 21:37 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Caroline Cyr La Rose 2017-11-15 22:12:08 UTC
Created attachment 69169 [details]
Suspended hold message appears in barcode field

In Intranet, when we suspend a hold, the message "hold is suspended" appears in a column titled "barcode". Even when the hold is not suspended, that column doesn't show the barcode. I'm guessing it's just a wording problem...
Comment 1 Katrin Fischer 2019-02-10 01:51:11 UTC
The barcode and callnumber are only visilble, when the hold is waiting or when it's an item level hold. I think the barcode column is misused for status messages - it also shows when the item is waiting. 

Maybe a separate status column would be better?
Comment 2 Hayley Mapley 2019-03-14 03:31:17 UTC
(In reply to Katrin Fischer from comment #1)
> The barcode and callnumber are only visilble, when the hold is waiting or
> when it's an item level hold. I think the barcode column is misused for
> status messages - it also shows when the item is waiting. 
> 
> Maybe a separate status column would be better?

Hi, could you please specify which Holds table you are talking about?
Comment 3 Katrin Fischer 2019-03-14 06:44:45 UTC
Hi Hayley, it's the holds table in the patrons's account in staff (look at details and checkouts tabs)
Comment 4 Hayley Mapley 2019-03-14 21:51:49 UTC
Created attachment 86633 [details] [review]
Bug 19630: Added Status column to Patron Holds table

When a hold has been suspended or is waiting, the status
message appears in the Barcode column of the Holds table. This patch
fixes this by adding a separate Status column which details the status
of the Hold, whether it has been suspended, or is in transit, etc.

Test plan:
1) Place an item level hold and a 'Next Available' record level hold for
a patron.
2) View the holds in Patrons->Patron details for that Patron in the Check out and Details tabs
3) Suspend one of the holds, and note that the status appears in the
barcode column
4) Set a hold to be waiting for pickup, and note the status appears in
the barcode column
5) Apply the patch
6) Check the same holds and note that the statuses now appear in the new
column called Status, and note that if a hold has status effect that the
row reads "Hold has been placed"
7) Verify that this is the case in both the Holds tables (in Check out
    tab and Details tab)

Sponsored-by: Catalyst IT
Comment 5 Hayley Mapley 2019-03-14 21:53:47 UTC
(In reply to Hayley Mapley from comment #4)
> Created attachment 86633 [details] [review] [review]
> Bug 19630: Added Status column to Patron Holds table
> 
> When a hold has been suspended or is waiting, the status
> message appears in the Barcode column of the Holds table. This patch
> fixes this by adding a separate Status column which details the status
> of the Hold, whether it has been suspended, or is in transit, etc.
> 
> Test plan:
> 1) Place an item level hold and a 'Next Available' record level hold for
> a patron.
> 2) View the holds in Patrons->Patron details for that Patron in the Check
> out and Details tabs
> 3) Suspend one of the holds, and note that the status appears in the
> barcode column
> 4) Set a hold to be waiting for pickup, and note the status appears in
> the barcode column
> 5) Apply the patch
> 6) Check the same holds and note that the statuses now appear in the new
> column called Status, and note that if a hold has status effect that the
> row reads "Hold has been placed"
> 7) Verify that this is the case in both the Holds tables (in Check out
>     tab and Details tab)
> 
> Sponsored-by: Catalyst IT

Note: Step 6 should read "note that id a hold has no status effect", meaning it is not suspended or waiting, etc,. but instead just exists as a hold.
Comment 6 José-Mario Monteiro-Santos 2019-03-15 18:55:17 UTC
Created attachment 86687 [details] [review]
Bug 19630: Added Status column to Patron Holds table

When a hold has been suspended or is waiting, the status
message appears in the Barcode column of the Holds table. This patch
fixes this by adding a separate Status column which details the status
of the Hold, whether it has been suspended, or is in transit, etc.

Test plan:
1) Place an item level hold and a 'Next Available' record level hold for
a patron.
2) View the holds in Patrons->Patron details for that Patron in the Check out and Details tabs
3) Suspend one of the holds, and note that the status appears in the
barcode column
4) Set a hold to be waiting for pickup, and note the status appears in
the barcode column
5) Apply the patch
6) Check the same holds and note that the statuses now appear in the new
column called Status, and note that if a hold has status effect that the
row reads "Hold has been placed"
7) Verify that this is the case in both the Holds tables (in Check out
    tab and Details tab)

Sponsored-by: Catalyst IT
Signed-off-by: Jose-Mario Monteiro-Santos <jose-mario.monteiro-santos@inLibro.com>
Comment 7 Michal Denar 2019-04-04 14:44:54 UTC
Created attachment 87418 [details] [review]
Bug 19630: Added Status column to Patron Holds table

When a hold has been suspended or is waiting, the status
message appears in the Barcode column of the Holds table. This patch
fixes this by adding a separate Status column which details the status
of the Hold, whether it has been suspended, or is in transit, etc.

Test plan:
1) Place an item level hold and a 'Next Available' record level hold for
a patron.
2) View the holds in Patrons->Patron details for that Patron in the Check out and Details tabs
3) Suspend one of the holds, and note that the status appears in the
barcode column
4) Set a hold to be waiting for pickup, and note the status appears in
the barcode column
5) Apply the patch
6) Check the same holds and note that the statuses now appear in the new
column called Status, and note that if a hold has status effect that the
row reads "Hold has been placed"
7) Verify that this is the case in both the Holds tables (in Check out
    tab and Details tab)

Sponsored-by: Catalyst IT
Signed-off-by: Jose-Mario Monteiro-Santos <jose-mario.monteiro-santos@inLibro.com>
Signed-off-by: Michal Denar <black23@gmail.com>
Comment 8 Katrin Fischer 2019-04-06 10:11:15 UTC
Comment on attachment 87418 [details] [review]
Bug 19630: Added Status column to Patron Holds table

Review of attachment 87418 [details] [review]:
-----------------------------------------------------------------

Hi Hayley,

found a small issue, see below. I don't really like the new message to be honest - I feel it's too much to read. Could we go without?


Some examples:

Hold has been placed Item hasn't been transferred yet from Fairview
Hold has been placed Item is waiting here

::: koha-tmpl/intranet-tmpl/prog/js/holds.js
@@ +132,5 @@
> +                    {
> +                        "mDataProp": function( oObj ) {
> +                            var data = "";
> +                            if ( oObj.suspend != 1 && !oObj.itemtype_limit) {
> +                                data = _("Hold has been placed\n");

Strings in .js files are not picked up by our translation tools. That is the reason the other messages are using variables that are replaced later.
Comment 9 Katrin Fischer 2019-04-06 10:12:24 UTC
Reading it again: New message = "Hold has been placed" showing up always.
Comment 10 Hayley Mapley 2019-04-07 22:34:48 UTC
Created attachment 87485 [details] [review]
Bug 19630: Removed constant message from Status column

Test plan:
Same as initial test plan, except that when a hold has no status that
the Status column for that hold should be blank instead of saying
"Hold has been placed".

Sponsored-by: Catalyst IT
Comment 11 Michal Denar 2019-04-08 19:03:00 UTC
Created attachment 87543 [details] [review]
Bug 19630: Added Status column to Patron Holds table

When a hold has been suspended or is waiting, the status
message appears in the Barcode column of the Holds table. This patch
fixes this by adding a separate Status column which details the status
of the Hold, whether it has been suspended, or is in transit, etc.

Test plan:
1) Place an item level hold and a 'Next Available' record level hold for
a patron.
2) View the holds in Patrons->Patron details for that Patron in the Check out and Details tabs
3) Suspend one of the holds, and note that the status appears in the
barcode column
4) Set a hold to be waiting for pickup, and note the status appears in
the barcode column
5) Apply the patch
6) Check the same holds and note that the statuses now appear in the new
column called Status, and note that if a hold has status effect that the
row reads "Hold has been placed"
7) Verify that this is the case in both the Holds tables (in Check out
    tab and Details tab)

Sponsored-by: Catalyst IT
Signed-off-by: Jose-Mario Monteiro-Santos <jose-mario.monteiro-santos@inLibro.com>
Signed-off-by: Michal Denar <black23@gmail.com>

Signed-off-by: Michal Denar <black23@gmail.com>
Comment 12 Michal Denar 2019-04-08 19:03:03 UTC
Created attachment 87544 [details] [review]
Bug 19630: Removed constant message from Status column

Test plan:
Same as initial test plan, except that when a hold has no status that
the Status column for that hold should be blank instead of saying
"Hold has been placed".

Sponsored-by: Catalyst IT

Signed-off-by: Michal Denar <black23@gmail.com>

Signed-off-by: Michal Denar <black23@gmail.com>
Comment 13 Katrin Fischer 2019-04-08 21:37:49 UTC
Created attachment 87556 [details] [review]
Bug 19630: Added Status column to Patron Holds table

When a hold has been suspended or is waiting, the status
message appears in the Barcode column of the Holds table. This patch
fixes this by adding a separate Status column which details the status
of the Hold, whether it has been suspended, or is in transit, etc.

Test plan:
1) Place an item level hold and a 'Next Available' record level hold for
a patron.
2) View the holds in Patrons->Patron details for that Patron in the Check out and Details tabs
3) Suspend one of the holds, and note that the status appears in the
barcode column
4) Set a hold to be waiting for pickup, and note the status appears in
the barcode column
5) Apply the patch
6) Check the same holds and note that the statuses now appear in the new
column called Status, and note that if a hold has status effect that the
row reads "Hold has been placed"
7) Verify that this is the case in both the Holds tables (in Check out
    tab and Details tab)

Sponsored-by: Catalyst IT
Signed-off-by: Jose-Mario Monteiro-Santos <jose-mario.monteiro-santos@inLibro.com>
Signed-off-by: Michal Denar <black23@gmail.com>

Signed-off-by: Michal Denar <black23@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 14 Katrin Fischer 2019-04-08 21:37:53 UTC
Created attachment 87557 [details] [review]
Bug 19630: Removed constant message from Status column

Test plan:
Same as initial test plan, except that when a hold has no status that
the Status column for that hold should be blank instead of saying
"Hold has been placed".

Sponsored-by: Catalyst IT

Signed-off-by: Michal Denar <black23@gmail.com>

Signed-off-by: Michal Denar <black23@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 15 Katrin Fischer 2019-04-08 21:38:54 UTC
Thx Haley!
Comment 16 Nick Clemens 2019-04-11 13:54:09 UTC
Awesome work all!

Pushed to master for 19.05
Comment 17 Martin Renvoize 2019-04-16 13:11:02 UTC
Enhancement, will not be backported to 18.11.x series.